Retrieve the optimization result for a completed job.
Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable.
A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.
using RestSharp;
var options = new RestClientOptions("https://api.fryte.com/planner/optimizations/{optimization_id}/result");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
All charging stations found within the route corridor, before the optimizer narrowed them down to the selected stops. Null for results created before this field was introduced.
Advisory notes about this result that a dispatcher should check before dispatching — for example a custom search corridor, or a battery level that drops below the advisory minimum state of charge. Null when there is nothing to flag.
using RestSharp;
var options = new RestClientOptions("https://api.fryte.com/planner/optimizations/{optimization_id}/result");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"FRYTE API","colors":{"primary":"#F57C00","light":"#F57C00","dark":"#F57C00"},"logo":"https://mintcdn.com/frytemobilitygmbh/78_gHCTW0NzO-2nV/logo/light.svg?fit=max\u0026auto=format\u0026n=78_gHCTW0NzO-2nV\u0026q=85\u0026s=f2bdff3b6fd3ed0f6b545b2665398344","favicon":"https://mintcdn.com/frytemobilitygmbh/qh9N1SvefzgyRbgK/favicon.svg?fit=max\u0026auto=format\u0026n=qh9N1SvefzgyRbgK\u0026q=85\u0026s=aaecad4249f962d64a85a46f07e92c4d","api":{"examples":{"languages":["bash","python","javascript","typescript","csharp","php","java","go","kotlin"]}},"navbar":{"links":[{"href":"mailto:team@fryte.eu","label":"Support"}],"primary":{"type":"button","label":"Get API Key","href":"/#authentication"}},"footer":{"socials":{"website":"https://fryte.com/en","linkedin":"https://www.linkedin.com/company/fryte-mobility/posts"}},"contextual":{"options":["copy"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"frytemobilitygmbh","hasAudioNarration":false,"actualSubdomain":"frytemobilitygmbh","customDomains":["docs.fryte.com"],"gitSource":{"type":"github","owner":"fryte-dev","repo":"fryte-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ac659d7fdbad4422a6b6d1f","collectionId":"acfa1545-3728-4d72-b686-854d297a51e4","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ac659d7fdbad4422a6b6d1f"},"feedback":{"thumbs":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ac659d7fdbad4422a6b6d1f","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"Planner","count":14},{"language":"default","tag":"Getting Started","count":5},{"language":"default","tag":"Example Routes","count":5},{"language":"default","tag":"Endpoints","count":4}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/planner/get-optimization-result","slug":"/api-reference/planner/get-optimization-result","pageMetadata":{"title":"Get optimization result","description":"Retrieve the optimization result for a completed job.\n\nCall this endpoint once `GET /planner/jobs/{job_id}` returns status `succeeded` or `not_drivable`.\n\nA `succeeded` result contains route `sections` with charging stop details (`poi_summary`) and candidate charging stations (`poi_list`). When status is `not_drivable`, the `not_drivable_reason` field explains why the route is not feasible.","deprecated":null,"version":null,"openapi":"/openapi.json get /planner/optimizations/{optimization_id}/result","href":"/api-reference/planner/get-optimization-result","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Retrieve the optimization result for a completed job.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Call this endpoint once \", _jsx(_components.code, {\n children: \"GET /planner/jobs/{job_id}\"\n }), \" returns status \", _jsx(_components.code, {\n children: \"succeeded\"\n }), \" or \", _jsx(_components.code, {\n children: \"not_drivable\"\n }), \".\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"A \", _jsx(_components.code, {\n children: \"succeeded\"\n }), \" result contains route \", _jsx(_components.code, {\n children: \"sections\"\n }), \" with charging stop details (\", _jsx(_components.code, {\n children: \"poi_summary\"\n }), \") and candidate charging stations (\", _jsx(_components.code, {\n children: \"poi_list\"\n }), \"). When status is \", _jsx(_components.code, {\n children: \"not_drivable\"\n }), \", the \", _jsx(_components.code, {\n children: \"not_drivable_reason\"\n }), \" field explains why the route is not feasible.\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get optimization result","description":"Retrieve the optimization result for a completed job.\n\nCall this endpoint once `GET /planner/jobs/{job_id}` returns status `succeeded` or `not_drivable`.\n\nA `succeeded` result contains route `sections` with charging stop details (`poi_summary`) and candidate charging stations (`poi_list`). When status is `not_drivable`, the `not_drivable_reason` field explains why the route is not feasible.","deprecated":null,"version":null,"openapi":"/openapi.json get /planner/optimizations/{optimization_id}/result","href":"/api-reference/planner/get-optimization-result","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["planner"],"summary":"Get optimization result","description":"Retrieve the optimization result for a completed job.\n\nCall this endpoint once `GET /planner/jobs/{job_id}` returns status `succeeded` or `not_drivable`.\n\nA `succeeded` result contains route `sections` with charging stop details (`poi_summary`) and candidate charging stations (`poi_list`). When status is `not_drivable`, the `not_drivable_reason` field explains why the route is not feasible.","operationId":"get_optimization_result_planner_optimizations__optimization_id__result_get","security":["7beb93aa-af5e-48e2-a435-4d6da96a9728","5058e085-db78-4a45-ae9a-f3dda479f374"],"parameters":["f76ceaee-1f58-44f2-ad73-0c111ea15132","4fcf28cc-757a-4f18-8ba1-21bbe4eb4aaf"],"responses":{"200":"76e26448-97d1-4330-b278-92953657802b","401":"99eb2c8b-2597-41e0-881d-2eebb9263756","404":"9432319c-e7f0-4251-bab7-bd85b408f047","409":"9e0fdf1a-e5d3-4393-8972-1ed3da52098e","422":"95ebe6df-0146-49d4-8d17-9ab0f047106c","429":"53cdd7df-404d-4131-8ee9-2d054caa9e23"},"method":"get","type":"path","servers":["b8efc1fa-0640-40f4-a44b-e7cbe9305b46"],"path":"/planner/optimizations/{optimization_id}/result","baseUrlOptions":["https://api.fryte.com"],"title":"Get optimization result","codeSamples":[],"requestExampleLanguages":["bash","python","javascript","typescript","csharp","php","java","go","kotlin"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"f76ceaee-1f58-44f2-ad73-0c111ea15132":{"name":"optimization_id","in":"path","required":true,"schema":{"type":"integer","description":"Optimization identifier returned by POST /planner/v2.","title":"Optimization Id","isRequired":true,"uniqueKey":"","typeLabel":"integer"},"description":"Optimization identifier returned by POST /planner/v2."},"4fcf28cc-757a-4f18-8ba1-21bbe4eb4aaf":{"name":"tenant_id","in":"query","required":false,"schema":{"oneOf":[{"type":"integer","title":"Tenant Id","description":"Tenant ID","uniqueKey":"oneOf.0","typeLabel":"integer"},{"type":"null","title":"Tenant Id","description":"Tenant ID","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"integer | null"},"description":"Tenant ID"}},"responses":{"76e26448-97d1-4330-b278-92953657802b":{"description":"Successful Response","content":{"application/json":{"schema":{"properties":{"optimization_id":{"type":"integer","title":"Optimization Id","description":"Optimization identifier.","isRequired":true,"uniqueKey":"optimization_id","typeLabel":"integer"},"tour_id":{"type":"integer","title":"Tour Id","description":"Tour identifier.","isRequired":true,"uniqueKey":"tour_id","typeLabel":"integer"},"status":{"type":"string","enum":["queued","running","succeeded","not_drivable","failed","canceled"],"title":"OptimizationJobStatus","description":"Job lifecycle status; a result is available for succeeded or not_drivable.","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"battery_level_start":{"type":"number","title":"Battery Level Start","description":"Starting battery level (0-1).","isRequired":true,"uniqueKey":"battery_level_start","typeLabel":"number"},"battery_level_end":{"type":"number","title":"Battery Level End","description":"Battery level at the end of the tour (0-1).","isRequired":true,"uniqueKey":"battery_level_end","typeLabel":"number"},"qualification":{"type":"string","title":"Qualification","description":"Route feasibility result: Driveable or not_drivable. See status for job lifecycle.","isRequired":true,"uniqueKey":"qualification","typeLabel":"string"},"sections":{"items":{"properties":{"section_id":{"oneOf":[{"type":"string","title":"Section Id","description":"Section identifier, if provided in the request.","uniqueKey":"sections.items.[INDEX].section_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Section Id","description":"Section identifier, if provided in the request.","uniqueKey":"sections.items.[INDEX].section_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].section_id","typeLabel":"string | null"},"polyline":{"oneOf":[{"type":"string","title":"Polyline","description":"Encoded route geometry in HERE Flexible Polyline format (see https://github.com/heremaps/flexible-polyline).","uniqueKey":"sections.items.[INDEX].polyline.oneOf.0","typeLabel":"string"},{"type":"null","title":"Polyline","description":"Encoded route geometry in HERE Flexible Polyline format (see https://github.com/heremaps/flexible-polyline).","uniqueKey":"sections.items.[INDEX].polyline.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].polyline","typeLabel":"string | null"},"start_pos":{"oneOf":[{"type":"array","items":{"type":"number","uniqueKey":"sections.items.[INDEX].start_pos.oneOf.0.items.[INDEX]","typeLabel":"number"},"title":"Start Pos","description":"Start coordinates [lat, lon, state_of_charge].","uniqueKey":"sections.items.[INDEX].start_pos.oneOf.0","typeLabel":"number[]"},{"type":"null","title":"Start Pos","description":"Start coordinates [lat, lon, state_of_charge].","uniqueKey":"sections.items.[INDEX].start_pos.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].start_pos","typeLabel":"number[] | null"},"stop_pos":{"oneOf":[{"type":"array","items":{"type":"number","uniqueKey":"sections.items.[INDEX].stop_pos.oneOf.0.items.[INDEX]","typeLabel":"number"},"title":"Stop Pos","description":"End coordinates [lat, lon, state_of_charge].","uniqueKey":"sections.items.[INDEX].stop_pos.oneOf.0","typeLabel":"number[]"},{"type":"null","title":"Stop Pos","description":"End coordinates [lat, lon, state_of_charge].","uniqueKey":"sections.items.[INDEX].stop_pos.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].stop_pos","typeLabel":"number[] | null"},"payload_kg":{"oneOf":[{"type":"number","title":"Payload Kg","description":"Payload in kg.","uniqueKey":"sections.items.[INDEX].payload_kg.oneOf.0","typeLabel":"number"},{"type":"null","title":"Payload Kg","description":"Payload in kg.","uniqueKey":"sections.items.[INDEX].payload_kg.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].payload_kg","typeLabel":"number | null"},"length_m":{"oneOf":[{"type":"number","title":"Length M","description":"Section length in meters.","uniqueKey":"sections.items.[INDEX].length_m.oneOf.0","typeLabel":"number"},{"type":"null","title":"Length M","description":"Section length in meters.","uniqueKey":"sections.items.[INDEX].length_m.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].length_m","typeLabel":"number | null"},"opening_time":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"sections.items.[INDEX].opening_time.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Opening Time","description":"Time window at the section end.","uniqueKey":"sections.items.[INDEX].opening_time.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Opening Time","description":"Time window at the section end.","uniqueKey":"sections.items.[INDEX].opening_time.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].opening_time","typeLabel":"string[] | null"},"service_time_min":{"oneOf":[{"type":"number","title":"Service Time Min","description":"Service time at the section destination in minutes.","uniqueKey":"sections.items.[INDEX].service_time_min.oneOf.0","typeLabel":"number"},{"type":"null","title":"Service Time Min","description":"Service time at the section destination in minutes.","uniqueKey":"sections.items.[INDEX].service_time_min.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].service_time_min","typeLabel":"number | null"},"power_available_kW":{"oneOf":[{"type":"number","title":"Power Available Kw","description":"Charging power at the section end in kW.","uniqueKey":"sections.items.[INDEX].power_available_kW.oneOf.0","typeLabel":"number"},{"type":"null","title":"Power Available Kw","description":"Charging power at the section end in kW.","uniqueKey":"sections.items.[INDEX].power_available_kW.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].power_available_kW","typeLabel":"number | null"},"poi_summary":{"oneOf":[{"type":"object","title":"ResultPOISummary","description":"Charging stop details for this section.","properties":{"id":{"oneOf":[{"type":"integer","title":"Id","description":"Station identifier.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.id.oneOf.0","typeLabel":"integer"},{"type":"string","title":"Id","description":"Station identifier.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.id.oneOf.1","typeLabel":"string"},{"type":"null","title":"Id","description":"Station identifier.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.id.oneOf.2","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.id","typeLabel":"integer | string | null"},"name":{"oneOf":[{"type":"string","title":"Name","description":"Station name or 'Destination' for the final stop.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","description":"Station name or 'Destination' for the final stop.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.name.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.name","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","title":"Address","description":"Street address.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Address","description":"Street address.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.address.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.address","typeLabel":"string | null"},"coordinate_lat":{"oneOf":[{"type":"number","title":"Coordinate Lat","description":"Latitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lat.oneOf.0","typeLabel":"number"},{"type":"null","title":"Coordinate Lat","description":"Latitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lat.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lat","typeLabel":"number | null"},"coordinate_lon":{"oneOf":[{"type":"number","title":"Coordinate Lon","description":"Longitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lon.oneOf.0","typeLabel":"number"},{"type":"null","title":"Coordinate Lon","description":"Longitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lon.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.coordinate_lon","typeLabel":"number | null"},"amenities":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.amenities.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Amenities","description":"Available amenities at the location.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.amenities.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Amenities","description":"Available amenities at the location.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.amenities.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.amenities","typeLabel":"string[] | null"},"energy_kWh":{"oneOf":[{"type":"number","title":"Energy Kwh","description":"Energy recharged at this stop in kWh.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.energy_kWh.oneOf.0","typeLabel":"number"},{"type":"null","title":"Energy Kwh","description":"Energy recharged at this stop in kWh.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.energy_kWh.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.energy_kWh","typeLabel":"number | null"},"power_available_kW":{"oneOf":[{"type":"number","title":"Power Available Kw","description":"Charging power at this station in kW.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.power_available_kW.oneOf.0","typeLabel":"number"},{"type":"null","title":"Power Available Kw","description":"Charging power at this station in kW.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.power_available_kW.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.power_available_kW","typeLabel":"number | null"},"charge_time_min":{"oneOf":[{"type":"number","title":"Charge Time Min","description":"Charging duration in minutes.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.charge_time_min.oneOf.0","typeLabel":"number"},{"type":"null","title":"Charge Time Min","description":"Charging duration in minutes.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.charge_time_min.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.charge_time_min","typeLabel":"number | null"},"service_time_min":{"oneOf":[{"type":"number","title":"Service Time Min","description":"Total stop duration in minutes (charging + service + rest).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.service_time_min.oneOf.0","typeLabel":"number"},{"type":"null","title":"Service Time Min","description":"Total stop duration in minutes (charging + service + rest).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.service_time_min.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.service_time_min","typeLabel":"number | null"},"arrival_time":{"oneOf":[{"type":"number","title":"Arrival Time","description":"Arrival time at this stop (ISO-8601).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.arrival_time.oneOf.0","typeLabel":"number"},{"type":"string","title":"Arrival Time","description":"Arrival time at this stop (ISO-8601).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.arrival_time.oneOf.1","typeLabel":"string"},{"type":"null","title":"Arrival Time","description":"Arrival time at this stop (ISO-8601).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.arrival_time.oneOf.2","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.arrival_time","typeLabel":"number | string | null"},"additional_stops":{"oneOf":[{"type":"boolean","title":"Additional Stops","description":"Indicates whether additional stops are present.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.additional_stops.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Additional Stops","description":"Indicates whether additional stops are present.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.additional_stops.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.additional_stops","typeLabel":"boolean | null"},"bookable":{"oneOf":[{"type":"boolean","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.bookable.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.bookable.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.bookable","typeLabel":"boolean | null"},"location_id":{"oneOf":[{"type":"string","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.location_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.location_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.location_id","typeLabel":"string | null"},"start_soc":{"oneOf":[{"type":"number","title":"Start Soc","description":"Battery state of charge on arrival (0-1).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.start_soc.oneOf.0","typeLabel":"number"},{"type":"null","title":"Start Soc","description":"Battery state of charge on arrival (0-1).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.start_soc.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.start_soc","typeLabel":"number | null"},"stop_soc":{"oneOf":[{"type":"number","title":"Stop Soc","description":"Battery state of charge on departure (0-1).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.stop_soc.oneOf.0","typeLabel":"number"},{"type":"null","title":"Stop Soc","description":"Battery state of charge on departure (0-1).","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.stop_soc.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.stop_soc","typeLabel":"number | null"},"alternatives":{"oneOf":[{"type":"array","items":{"properties":{"name":{"oneOf":[{"type":"string","title":"Name","description":"Station name.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","description":"Station name.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","title":"Address","description":"Street address.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Address","description":"Street address.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].address","typeLabel":"string | null"},"coordinate_lat":{"oneOf":[{"type":"number","title":"Coordinate Lat","description":"Latitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lat.oneOf.0","typeLabel":"number"},{"type":"null","title":"Coordinate Lat","description":"Latitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lat.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lat","typeLabel":"number | null"},"coordinate_lon":{"oneOf":[{"type":"number","title":"Coordinate Lon","description":"Longitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lon.oneOf.0","typeLabel":"number"},{"type":"null","title":"Coordinate Lon","description":"Longitude.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lon.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX].coordinate_lon","typeLabel":"number | null"}},"additionalProperties":true,"type":"object","title":"ResultPOIAlternative","description":"Alternative charging station near a selected stop.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0.items.[INDEX]","typeLabel":"ResultPOIAlternative · object"},"title":"Alternatives","description":"Alternative charging stations nearby.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.0","typeLabel":"ResultPOIAlternative · object[]"},{"type":"null","title":"Alternatives","description":"Alternative charging stations nearby.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.alternatives","typeLabel":"ResultPOIAlternative · object[] | null"},"sec_duration_min":{"oneOf":[{"type":"number","title":"Sec Duration Min","description":"Duration of this section in minutes.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_duration_min.oneOf.0","typeLabel":"number"},{"type":"null","title":"Sec Duration Min","description":"Duration of this section in minutes.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_duration_min.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_duration_min","typeLabel":"number | null"},"sec_energy_consumption_kWhkm":{"oneOf":[{"type":"number","title":"Sec Energy Consumption Kwhkm","description":"Energy consumption for this section in kWh/km.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_energy_consumption_kWhkm.oneOf.0","typeLabel":"number"},{"type":"null","title":"Sec Energy Consumption Kwhkm","description":"Energy consumption for this section in kWh/km.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_energy_consumption_kWhkm.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_energy_consumption_kWhkm","typeLabel":"number | null"},"sec_length_km":{"oneOf":[{"type":"number","title":"Sec Length Km","description":"Section length in km.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_length_km.oneOf.0","typeLabel":"number"},{"type":"null","title":"Sec Length Km","description":"Section length in km.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_length_km.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0.sec_length_km","typeLabel":"number | null"}},"additionalProperties":true,"uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.0","typeLabel":"ResultPOISummary · object"},{"type":"null","description":"Charging stop details for this section.","uniqueKey":"sections.items.[INDEX].poi_summary.oneOf.1","typeLabel":"null"}],"uniqueKey":"sections.items.[INDEX].poi_summary","typeLabel":"ResultPOISummary · object | null"}},"additionalProperties":true,"type":"object","title":"ResultSection","description":"A single route section in the optimization result.","uniqueKey":"sections.items.[INDEX]","typeLabel":"ResultSection · object"},"type":"array","title":"Sections","description":"Route sections with charging stop details. May contain more sections than the request if charging stops were inserted.","isRequired":true,"uniqueKey":"sections","typeLabel":"ResultSection · object[]"},"poi_list":{"items":{"properties":{"title":{"oneOf":[{"type":"string","title":"Title","description":"Station name.","uniqueKey":"poi_list.items.[INDEX].title.oneOf.0","typeLabel":"string"},{"type":"null","title":"Title","description":"Station name.","uniqueKey":"poi_list.items.[INDEX].title.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].title","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","title":"Address","description":"Street address.","uniqueKey":"poi_list.items.[INDEX].address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Address","description":"Street address.","uniqueKey":"poi_list.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].address","typeLabel":"string | null"},"distance_from_start":{"oneOf":[{"type":"number","title":"Distance From Start","description":"Distance from route start in meters.","uniqueKey":"poi_list.items.[INDEX].distance_from_start.oneOf.0","typeLabel":"number"},{"type":"null","title":"Distance From Start","description":"Distance from route start in meters.","uniqueKey":"poi_list.items.[INDEX].distance_from_start.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].distance_from_start","typeLabel":"number | null"},"position_lat":{"oneOf":[{"type":"number","title":"Position Lat","description":"Station latitude.","uniqueKey":"poi_list.items.[INDEX].position_lat.oneOf.0","typeLabel":"number"},{"type":"null","title":"Position Lat","description":"Station latitude.","uniqueKey":"poi_list.items.[INDEX].position_lat.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].position_lat","typeLabel":"number | null"},"position_lon":{"oneOf":[{"type":"number","title":"Position Lon","description":"Station longitude.","uniqueKey":"poi_list.items.[INDEX].position_lon.oneOf.0","typeLabel":"number"},{"type":"null","title":"Position Lon","description":"Station longitude.","uniqueKey":"poi_list.items.[INDEX].position_lon.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].position_lon","typeLabel":"number | null"},"power":{"oneOf":[{"type":"number","title":"Power","description":"Charging power in kW.","uniqueKey":"poi_list.items.[INDEX].power.oneOf.0","typeLabel":"number"},{"type":"null","title":"Power","description":"Charging power in kW.","uniqueKey":"poi_list.items.[INDEX].power.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].power","typeLabel":"number | null"},"detour_from_route":{"oneOf":[{"type":"number","title":"Detour From Route","description":"Detour distance from the route in meters.","uniqueKey":"poi_list.items.[INDEX].detour_from_route.oneOf.0","typeLabel":"number"},{"type":"null","title":"Detour From Route","description":"Detour distance from the route in meters.","uniqueKey":"poi_list.items.[INDEX].detour_from_route.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].detour_from_route","typeLabel":"number | null"},"section":{"oneOf":[{"type":"number","title":"Section","description":"Section index this station belongs to.","uniqueKey":"poi_list.items.[INDEX].section.oneOf.0","typeLabel":"number"},{"type":"null","title":"Section","description":"Section index this station belongs to.","uniqueKey":"poi_list.items.[INDEX].section.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].section","typeLabel":"number | null"},"position_lat_route":{"oneOf":[{"type":"number","title":"Position Lat Route","description":"Nearest point on route — latitude.","uniqueKey":"poi_list.items.[INDEX].position_lat_route.oneOf.0","typeLabel":"number"},{"type":"null","title":"Position Lat Route","description":"Nearest point on route — latitude.","uniqueKey":"poi_list.items.[INDEX].position_lat_route.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].position_lat_route","typeLabel":"number | null"},"position_lon_route":{"oneOf":[{"type":"number","title":"Position Lon Route","description":"Nearest point on route — longitude.","uniqueKey":"poi_list.items.[INDEX].position_lon_route.oneOf.0","typeLabel":"number"},{"type":"null","title":"Position Lon Route","description":"Nearest point on route — longitude.","uniqueKey":"poi_list.items.[INDEX].position_lon_route.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].position_lon_route","typeLabel":"number | null"},"poi_id":{"oneOf":[{"type":"number","title":"Poi Id","description":"Station identifier.","uniqueKey":"poi_list.items.[INDEX].poi_id.oneOf.0","typeLabel":"number"},{"type":"null","title":"Poi Id","description":"Station identifier.","uniqueKey":"poi_list.items.[INDEX].poi_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].poi_id","typeLabel":"number | null"},"mapping":{"oneOf":[{"type":"number","title":"Mapping","description":"Station grouping identifier.","uniqueKey":"poi_list.items.[INDEX].mapping.oneOf.0","typeLabel":"number"},{"type":"null","title":"Mapping","description":"Station grouping identifier.","uniqueKey":"poi_list.items.[INDEX].mapping.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].mapping","typeLabel":"number | null"},"represents":{"oneOf":[{"type":"number","title":"Represents","description":"Whether this station represents its group.","uniqueKey":"poi_list.items.[INDEX].represents.oneOf.0","typeLabel":"number"},{"type":"null","title":"Represents","description":"Whether this station represents its group.","uniqueKey":"poi_list.items.[INDEX].represents.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].represents","typeLabel":"number | null"},"poi_crash":{"oneOf":[{"type":"number","title":"Poi Crash","description":"Position conflict flag.","uniqueKey":"poi_list.items.[INDEX].poi_crash.oneOf.0","typeLabel":"number"},{"type":"null","title":"Poi Crash","description":"Position conflict flag.","uniqueKey":"poi_list.items.[INDEX].poi_crash.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].poi_crash","typeLabel":"number | null"},"opening_time":{"oneOf":[{"type":"string","title":"Opening Time","description":"Station opening time (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].opening_time.oneOf.0","typeLabel":"string"},{"type":"null","title":"Opening Time","description":"Station opening time (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].opening_time.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].opening_time","typeLabel":"string | null"},"closing_time":{"oneOf":[{"type":"string","title":"Closing Time","description":"Station closing time (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].closing_time.oneOf.0","typeLabel":"string"},{"type":"null","title":"Closing Time","description":"Station closing time (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].closing_time.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].closing_time","typeLabel":"string | null"},"poi_arrival_time":{"oneOf":[{"type":"string","title":"Poi Arrival Time","description":"Estimated arrival time at this station (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].poi_arrival_time.oneOf.0","typeLabel":"string"},{"type":"null","title":"Poi Arrival Time","description":"Estimated arrival time at this station (ISO-8601).","uniqueKey":"poi_list.items.[INDEX].poi_arrival_time.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].poi_arrival_time","typeLabel":"string | null"},"bookable":{"oneOf":[{"type":"boolean","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"poi_list.items.[INDEX].bookable.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"poi_list.items.[INDEX].bookable.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].bookable","typeLabel":"boolean | null"},"location_id":{"oneOf":[{"type":"string","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"poi_list.items.[INDEX].location_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"poi_list.items.[INDEX].location_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_list.items.[INDEX].location_id","typeLabel":"string | null"}},"additionalProperties":true,"type":"object","title":"ResultPOI","description":"A candidate charging station from the optimizer's POI list.","uniqueKey":"poi_list.items.[INDEX]","typeLabel":"ResultPOI · object"},"type":"array","title":"Poi List","description":"Charging stations considered as candidates along the route.","isRequired":true,"uniqueKey":"poi_list","typeLabel":"ResultPOI · object[]"},"poi_filter":{"oneOf":[{"type":"object","title":"POIInfo","description":"Charging station filter criteria applied to this optimization.","properties":{"min_kW":{"oneOf":[{"type":"number","title":"Min Kw","description":"Minimum required power (in kW) for a charging station.","uniqueKey":"poi_filter.oneOf.0.min_kW.oneOf.0","typeLabel":"number"},{"type":"null","title":"Min Kw","description":"Minimum required power (in kW) for a charging station.","uniqueKey":"poi_filter.oneOf.0.min_kW.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.min_kW","typeLabel":"number | null"},"max_kW":{"oneOf":[{"type":"number","title":"Max Kw","description":"Maximum acceptable power (in kW) for a charging station.","uniqueKey":"poi_filter.oneOf.0.max_kW.oneOf.0","typeLabel":"number"},{"type":"null","title":"Max Kw","description":"Maximum acceptable power (in kW) for a charging station.","uniqueKey":"poi_filter.oneOf.0.max_kW.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.max_kW","typeLabel":"number | null"},"cpo":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"poi_filter.oneOf.0.cpo.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Cpo","description":"A list of Charge Point Operators (CPO) to filter by.","uniqueKey":"poi_filter.oneOf.0.cpo.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Cpo","description":"A list of Charge Point Operators (CPO) to filter by.","uniqueKey":"poi_filter.oneOf.0.cpo.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.cpo","typeLabel":"string[] | null"},"cpo_name_like":{"oneOf":[{"type":"string","title":"Cpo Name Like","description":"Only consider operators whose name matches. Without `*` this is an exact, case-insensitive match; `*` stands for any characters (e.g. `*ionity*`).","maxLength":100,"minLength":1,"uniqueKey":"poi_filter.oneOf.0.cpo_name_like.oneOf.0","typeLabel":"string"},{"type":"null","title":"Cpo Name Like","description":"Only consider operators whose name matches. Without `*` this is an exact, case-insensitive match; `*` stands for any characters (e.g. `*ionity*`).","uniqueKey":"poi_filter.oneOf.0.cpo_name_like.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.cpo_name_like","typeLabel":"string | null"},"cpo_name_not_like":{"oneOf":[{"type":"string","title":"Cpo Name Not Like","description":"Skip operators whose name matches. Same matching rules as `cpo_name_like`; applied after all other operator filters.","maxLength":100,"minLength":1,"uniqueKey":"poi_filter.oneOf.0.cpo_name_not_like.oneOf.0","typeLabel":"string"},{"type":"null","title":"Cpo Name Not Like","description":"Skip operators whose name matches. Same matching rules as `cpo_name_like`; applied after all other operator filters.","uniqueKey":"poi_filter.oneOf.0.cpo_name_not_like.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.cpo_name_not_like","typeLabel":"string | null"},"truck_approved":{"oneOf":[{"type":"string","title":"TruckApproved","description":"Truck-ready stations: T (tractor-only) or TT (truck and trailer). TT is a subset of T.","enum":["T","TT"],"uniqueKey":"poi_filter.oneOf.0.truck_approved.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Truck-ready stations: T (tractor-only) or TT (truck and trailer). TT is a subset of T.","uniqueKey":"poi_filter.oneOf.0.truck_approved.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.truck_approved","typeLabel":"enum\u003cstring> | null"},"connector_type":{"oneOf":[{"type":"array","items":{"type":"string","enum":["MCS","CCS"],"title":"ConnectorType","uniqueKey":"poi_filter.oneOf.0.connector_type.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"title":"Connector Type","description":"List of connector types (e.g., CCS, MCS).","uniqueKey":"poi_filter.oneOf.0.connector_type.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","title":"Connector Type","description":"List of connector types (e.g., CCS, MCS).","uniqueKey":"poi_filter.oneOf.0.connector_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.connector_type","typeLabel":"enum\u003cstring>[] | null"},"connector_pos":{"oneOf":[{"type":"string","title":"ConnectorPos","description":"Position of the connector on the vehicle (e.g., LEFT, RIGHT).","enum":["LEFT","RIGHT"],"uniqueKey":"poi_filter.oneOf.0.connector_pos.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"Position of the connector on the vehicle (e.g., LEFT, RIGHT).","uniqueKey":"poi_filter.oneOf.0.connector_pos.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.connector_pos","typeLabel":"enum\u003cstring> | null"},"bookable":{"oneOf":[{"type":"boolean","title":"Bookable","description":"Only return bookable charging stations.","uniqueKey":"poi_filter.oneOf.0.bookable.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Bookable","description":"Only return bookable charging stations.","uniqueKey":"poi_filter.oneOf.0.bookable.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.bookable","typeLabel":"boolean | null"},"network_type":{"oneOf":[{"type":"string","title":"NetworkType","description":"MATCHED: only stations of matched partners and your own stations. NON_MATCHED: exclude them.","enum":["MATCHED","NON_MATCHED"],"uniqueKey":"poi_filter.oneOf.0.network_type.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","description":"MATCHED: only stations of matched partners and your own stations. NON_MATCHED: exclude them.","uniqueKey":"poi_filter.oneOf.0.network_type.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter.oneOf.0.network_type","typeLabel":"enum\u003cstring> | null"}},"uniqueKey":"poi_filter.oneOf.0","typeLabel":"POIInfo · object"},{"type":"null","description":"Charging station filter criteria applied to this optimization.","uniqueKey":"poi_filter.oneOf.1","typeLabel":"null"}],"uniqueKey":"poi_filter","typeLabel":"POIInfo · object | null"},"optimal_departure_time":{"oneOf":[{"type":"string","title":"Optimal Departure Time","description":"Optimal departure time (ISO-8601) for reaching all time windows, if applicable.","uniqueKey":"optimal_departure_time.oneOf.0","typeLabel":"string"},{"type":"null","title":"Optimal Departure Time","description":"Optimal departure time (ISO-8601) for reaching all time windows, if applicable.","uniqueKey":"optimal_departure_time.oneOf.1","typeLabel":"null"}],"uniqueKey":"optimal_departure_time","typeLabel":"string | null"},"time_windows_reachable":{"oneOf":[{"type":"string","title":"Time Windows Reachable","description":"Whether all time windows could be reached: 'True', 'False', or 'Not considered'.","uniqueKey":"time_windows_reachable.oneOf.0","typeLabel":"string"},{"type":"null","title":"Time Windows Reachable","description":"Whether all time windows could be reached: 'True', 'False', or 'Not considered'.","uniqueKey":"time_windows_reachable.oneOf.1","typeLabel":"null"}],"uniqueKey":"time_windows_reachable","typeLabel":"string | null"},"available_charging_stations":{"oneOf":[{"type":"array","items":{"properties":{"id":{"oneOf":[{"type":"integer","title":"Id","description":"Station identifier.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].id.oneOf.0","typeLabel":"integer"},{"type":"string","title":"Id","description":"Station identifier.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].id.oneOf.1","typeLabel":"string"},{"type":"null","title":"Id","description":"Station identifier.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].id.oneOf.2","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].id","typeLabel":"integer | string | null"},"name":{"oneOf":[{"type":"string","title":"Name","description":"Station name.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].name.oneOf.0","typeLabel":"string"},{"type":"null","title":"Name","description":"Station name.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].name.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].name","typeLabel":"string | null"},"address":{"oneOf":[{"type":"string","title":"Address","description":"Street address.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].address.oneOf.0","typeLabel":"string"},{"type":"null","title":"Address","description":"Street address.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].address.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].address","typeLabel":"string | null"},"latitude":{"oneOf":[{"type":"number","title":"Latitude","description":"Latitude.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].latitude.oneOf.0","typeLabel":"number"},{"type":"null","title":"Latitude","description":"Latitude.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].latitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].latitude","typeLabel":"number | null"},"longitude":{"oneOf":[{"type":"number","title":"Longitude","description":"Longitude.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].longitude.oneOf.0","typeLabel":"number"},{"type":"null","title":"Longitude","description":"Longitude.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].longitude.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].longitude","typeLabel":"number | null"},"power_available_kW":{"oneOf":[{"type":"number","title":"Power Available Kw","description":"Charging power in kW.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].power_available_kW.oneOf.0","typeLabel":"number"},{"type":"null","title":"Power Available Kw","description":"Charging power in kW.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].power_available_kW.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].power_available_kW","typeLabel":"number | null"},"truck_approved":{"oneOf":[{"type":"string","title":"Truck Approved","description":"Truck approval: 'T' (tractor) or 'TT' (truck + trailer).","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].truck_approved.oneOf.0","typeLabel":"string"},{"type":"null","title":"Truck Approved","description":"Truck approval: 'T' (tractor) or 'TT' (truck + trailer).","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].truck_approved.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].truck_approved","typeLabel":"string | null"},"amenities":{"oneOf":[{"type":"string","title":"Amenities","description":"Available amenities.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].amenities.oneOf.0","typeLabel":"string"},{"type":"null","title":"Amenities","description":"Available amenities.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].amenities.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].amenities","typeLabel":"string | null"},"bookable":{"oneOf":[{"type":"boolean","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].bookable.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Bookable","description":"Whether the station supports booking.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].bookable.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].bookable","typeLabel":"boolean | null"},"location_id":{"oneOf":[{"type":"string","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].location_id.oneOf.0","typeLabel":"string"},{"type":"null","title":"Location Id","description":"External location identifier (OCPI).","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].location_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].location_id","typeLabel":"string | null"},"uses_company_vehicle_types":{"oneOf":[{"type":"boolean","title":"Uses Company Vehicle Types","description":"Company vehicle type setting.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].uses_company_vehicle_types.oneOf.0","typeLabel":"boolean"},{"type":"null","title":"Uses Company Vehicle Types","description":"Company vehicle type setting.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].uses_company_vehicle_types.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX].uses_company_vehicle_types","typeLabel":"boolean | null"}},"additionalProperties":true,"type":"object","title":"ResultAvailableStation","description":"A charging station found within the route corridor.","uniqueKey":"available_charging_stations.oneOf.0.items.[INDEX]","typeLabel":"ResultAvailableStation · object"},"title":"Available Charging Stations","description":"All charging stations found within the route corridor, before the optimizer narrowed them down to the selected stops. Null for results created before this field was introduced.","uniqueKey":"available_charging_stations.oneOf.0","typeLabel":"ResultAvailableStation · object[]"},{"type":"null","title":"Available Charging Stations","description":"All charging stations found within the route corridor, before the optimizer narrowed them down to the selected stops. Null for results created before this field was introduced.","uniqueKey":"available_charging_stations.oneOf.1","typeLabel":"null"}],"uniqueKey":"available_charging_stations","typeLabel":"ResultAvailableStation · object[] | null"},"not_drivable_reason":{"oneOf":[{"type":"object","title":"NotDrivableReason","description":"Reason why the route is not drivable.","properties":{"code":{"oneOf":[{"type":"string","title":"Code","description":"Reason code: no_chargers_available or battery_depleted_mid_route.","uniqueKey":"not_drivable_reason.oneOf.0.code.oneOf.0","typeLabel":"string"},{"type":"null","title":"Code","description":"Reason code: no_chargers_available or battery_depleted_mid_route.","uniqueKey":"not_drivable_reason.oneOf.0.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"not_drivable_reason.oneOf.0.code","typeLabel":"string | null"},"message":{"oneOf":[{"type":"string","title":"Message","description":"Human-readable explanation.","uniqueKey":"not_drivable_reason.oneOf.0.message.oneOf.0","typeLabel":"string"},{"type":"null","title":"Message","description":"Human-readable explanation.","uniqueKey":"not_drivable_reason.oneOf.0.message.oneOf.1","typeLabel":"null"}],"uniqueKey":"not_drivable_reason.oneOf.0.message","typeLabel":"string | null"}},"additionalProperties":true,"uniqueKey":"not_drivable_reason.oneOf.0","typeLabel":"NotDrivableReason · object"},{"type":"null","description":"Reason why the route is not drivable.","uniqueKey":"not_drivable_reason.oneOf.1","typeLabel":"null"}],"uniqueKey":"not_drivable_reason","typeLabel":"NotDrivableReason · object | null"},"warnings":{"oneOf":[{"type":"array","items":{"type":"string","uniqueKey":"warnings.oneOf.0.items.[INDEX]","typeLabel":"string"},"title":"Warnings","description":"Advisory notes about this result that a dispatcher should check before dispatching — for example a custom search corridor, or a battery level that drops below the advisory minimum state of charge. Null when there is nothing to flag.","uniqueKey":"warnings.oneOf.0","typeLabel":"string[]"},{"type":"null","title":"Warnings","description":"Advisory notes about this result that a dispatcher should check before dispatching — for example a custom search corridor, or a battery level that drops below the advisory minimum state of charge. Null when there is nothing to flag.","uniqueKey":"warnings.oneOf.1","typeLabel":"null"}],"uniqueKey":"warnings","typeLabel":"string[] | null"}},"additionalProperties":true,"type":"object","required":["optimization_id","tour_id","status","battery_level_start","battery_level_end","qualification","sections","poi_list"],"title":"OptimizationResultResponse","description":"Response body for GET /planner/optimizations/{optimization_id}/result.","example":{"battery_level_end":0.41,"battery_level_start":0.8,"optimization_id":7658,"poi_list":[],"qualification":"Driveable","sections":[{"length_m":215246,"payload_kg":19300,"poi_summary":{"address":"See Destination","charge_time_min":0,"coordinate_lat":49.4521,"coordinate_lon":11.0767,"energy_kWh":0,"name":"Destination","sec_duration_min":201.95,"sec_length_km":215.25,"service_time_min":0,"start_soc":0.41,"stop_soc":0.41},"polyline":"BlX8w2pJ4wh4B...","service_time_min":30,"start_pos":[48.7758,9.1829,0.8],"stop_pos":[49.4521,11.0767,0.41]}],"status":"succeeded","tour_id":7615},"uniqueKey":"","typeLabel":"OptimizationResultResponse · object"},"examples":{"Example":{"title":"Example","value":{"battery_level_end":0.41,"battery_level_start":0.8,"optimization_id":7658,"poi_list":[],"qualification":"Driveable","sections":[{"length_m":215246,"payload_kg":19300,"poi_summary":{"address":"See Destination","charge_time_min":0,"coordinate_lat":49.4521,"coordinate_lon":11.0767,"energy_kWh":0,"name":"Destination","sec_duration_min":201.95,"sec_length_km":215.25,"service_time_min":0,"start_soc":0.41,"stop_soc":0.41},"polyline":"BlX8w2pJ4wh4B...","service_time_min":30,"start_pos":[48.7758,9.1829,0.8],"stop_pos":[49.4521,11.0767,0.41]}],"status":"succeeded","tour_id":7615}}},"exampleType":"generated"}},"exampleType":"generated"},"99eb2c8b-2597-41e0-881d-2eebb9263756":{"description":"Missing or invalid authentication.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"9432319c-e7f0-4251-bab7-bd85b408f047":{"description":"Optimization not found.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"9e0fdf1a-e5d3-4393-8972-1ed3da52098e":{"description":"Optimization result is not available yet.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"95ebe6df-0146-49d4-8d17-9ab0f047106c":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"53cdd7df-404d-4131-8ee9-2d054caa9e23":{"description":"Rate limit exceeded.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"7beb93aa-af5e-48e2-a435-4d6da96a9728":{"HybridAuthBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HybridAuthBearer"}},"5058e085-db78-4a45-ae9a-f3dda479f374":{"HTTPBearer":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"}}},"servers":{"b8efc1fa-0640-40f4-a44b-e7cbe9305b46":{"url":"https://api.fryte.com"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HybridAuthBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HybridAuthBearer","name":"Authorization"}],"title":"HybridAuthBearer"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"HTTPBearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"HTTPBearer","name":"Authorization"}],"title":"HTTPBearer"}]},"originalFileLocation":"openapi.json"},"subdomain":"frytemobilitygmbh","siteName":"FRYTE API","title":"Get optimization result - FRYTE API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-07T14:41:00.755Z","originalFileLocation":"api-reference/planner/get-optimization-result.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the optimization result for a completed job. Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable. A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.\">\u003cmeta data-mint-head name=\"application-name\" content=\"FRYTE API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get optimization result - FRYTE API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the optimization result for a completed job. Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable. A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"FRYTE API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.fryte.com/api-reference/planner/get-optimization-result\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://frytemobilitygmbh.mintlify.app/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Get+optimization+result\u0026amp;description=Retrieve+the+optimization+result+for+a+completed+job.%0A%0ACall+this+endpoint+once+%60GET+%2Fplanner%2Fjobs%2F%7Bjob_id%7D%60+returns+status+%60succeeded%60+or+%60not_drivable%60.%0A%0AA+%60su\u0026amp;theme=817d34cac7d77cb5e2d4bf10\u0026amp;signature=c4f18fac20ad975ed595bddac50599f0b6fc65dd7b21b143715bb13e6f072823\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get optimization result - FRYTE API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the optimization result for a completed job. Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable. A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://frytemobilitygmbh.mintlify.app/_mintlify/api/og/v2?division=Endpoints\u0026amp;title=Get+optimization+result\u0026amp;description=Retrieve+the+optimization+result+for+a+completed+job.%0A%0ACall+this+endpoint+once+%60GET+%2Fplanner%2Fjobs%2F%7Bjob_id%7D%60+returns+status+%60succeeded%60+or+%60not_drivable%60.%0A%0AA+%60su\u0026amp;theme=817d34cac7d77cb5e2d4bf10\u0026amp;signature=c4f18fac20ad975ed595bddac50599f0b6fc65dd7b21b143715bb13e6f072823\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/frytemobilitygmbh/pTgZDInkSrj6vsa2/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"FRYTE API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#F57C00\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.fryte.com/api-reference/planner/get-optimization-result\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/planner/get-optimization-result.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.fryte.com/#organization\",\"name\":\"FRYTE API\",\"url\":\"https://docs.fryte.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/frytemobilitygmbh/78_gHCTW0NzO-2nV/logo/light.svg?fit=max\u0026auto=format\u0026n=78_gHCTW0NzO-2nV\u0026q=85\u0026s=f2bdff3b6fd3ed0f6b545b2665398344\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.fryte.com#website\",\"name\":\"FRYTE API\",\"url\":\"https://docs.fryte.com\",\"publisher\":{\"@id\":\"https://docs.fryte.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result#webpage\",\"url\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result\",\"name\":\"Get optimization result\",\"description\":\"Retrieve the optimization result for a completed job. Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable. A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.\",\"dateModified\":\"2026-10-07T14:41:00.755Z\",\"isPartOf\":{\"@id\":\"https://docs.fryte.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Endpoints\",\"item\":\"https://docs.fryte.com/api-reference/planner/submit-route-optimization\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get optimization result\",\"item\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result#apireference\",\"headline\":\"Get optimization result\",\"name\":\"Get optimization result\",\"description\":\"Retrieve the optimization result for a completed job. Call this endpoint once GET /planner/jobs/{job_id} returns status succeeded or not_drivable. A succeeded result contains route sections with charging stop details (poi_summary) and candidate charging stations (poi_list). When status is not_drivable, the not_drivable_reason field explains why the route is not feasible.\",\"url\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result\",\"mainEntityOfPage\":{\"@id\":\"https://docs.fryte.com/api-reference/planner/get-optimization-result#webpage\"},\"dateModified\":\"2026-10-07T14:41:00.755Z\",\"publisher\":{\"@id\":\"https://docs.fryte.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.fryte.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"FRYTE API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"FRYTE API","nav":{"global":null,"tabs":[{"tab":"Planner","groups":[{"group":"Getting Started","pages":[{"title":"Overview","href":""},{"title":"Quickstart","href":"/planner/quickstart"},{"title":"Vehicles","href":"/planner/vehicles"},{"title":"Errors","href":"/planner/errors"},{"title":"Limitations","href":"/planner/limitations"}]},{"group":"Example Routes","pages":[{"title":"Charging Stops","href":"/planner/examples/intermediate-stops"},{"title":"Multi-Day Tour","href":"/planner/examples/multiday-tour"},{"title":"Time Windows","href":"/planner/examples/time-windows"},{"title":"Minimum Charging Duration","href":"/planner/examples/minimum-charge-duration"},{"title":"Search Corridor","href":"/planner/examples/search-corridor"}]},{"group":"Endpoints","pages":[{"title":"Submit route optimization","deprecated":null,"version":null,"openapi":"/openapi.json post /planner/v2","href":"/api-reference/planner/submit-route-optimization"},{"title":"Get job status","deprecated":null,"version":null,"openapi":"/openapi.json get /planner/jobs/{job_id}","href":"/api-reference/planner/get-job-status"},{"title":"List jobs","description":"List the authenticated user's optimization jobs. Returns job summaries with status, timestamps, and identifiers.","deprecated":null,"version":null,"openapi":"/openapi.json get /planner/jobs","href":"/api-reference/planner/list-jobs"},{"title":"Get optimization result","deprecated":null,"version":null,"openapi":"/openapi.json get /planner/optimizations/{optimization_id}/result","href":"/api-reference/planner/get-optimization-result"}]}]}]},"title":"Get optimization result - FRYTE API","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","Page-CT9uE8Ip.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}